namespace Decal.Filters;

public class Gender : IIdNameTableEntry
{
	private int mID;

	private string mName;

	public int Id => mID;

	public string Name
	{
		get
		{
			return mName;
		}
		internal set
		{
			mName = value;
		}
	}

	internal Gender(int ID)
	{
		mID = ID;
	}

	public override string ToString()
	{
		return mName;
	}
}
